Page MenuHomePhabricator

elm_interface_scrollable: add support for *jumping* into a scroller
ClosedPublic

Authored by bu5hm4n on Nov 26 2018, 6:55 AM.

Details

Summary

Until recently we have been only registering the border elements of the
graph, (so only the elements that don't have a neighboor). However this
lead to the situation that a scroller that is scrolled into the middle
(so not the x nor the y axis is scrolled to the max), is not accessable.

Now, we register all elements that have a neighboor in the outside.
The patch in the test suite is required in order to provide the correct
geometry to the implementation of efl_ui_focus_manager_sub.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Nov 26 2018, 6:55 AM
bu5hm4n requested review of this revision.Nov 26 2018, 6:55 AM
YOhoho accepted this revision.Nov 28 2018, 5:29 PM
This revision is now accepted and ready to land.Nov 28 2018, 5:29 PM
Closed by commit rEFLa444ff743f87: elm_interface_scrollable: add support for *jumping* into a scroller (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 3 2018, 11:48 PM
This revision was automatically updated to reflect the committed changes.